/* This file is part of criawips, a GNOME presentation application
 *
 * AUTHORS
 *       Sven Herzberg        <herzi@gnome-de.org>
 *
 * Copyright (C) 2004 Sven Herzberg
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
 * USA
 */

#include "presentation-view.h"

static void
cria_presentation_view_class_init(gpointer iface) {
	g_object_interface_install_property(iface,
					    g_param_spec_object("presentation",
						    		"Presentation",
								"The presentation connected to this view",
								CRIA_TYPE_PRESENTATION,
								(G_PARAM_CONSTRUCT | G_PARAM_READWRITE)));
}

GType
cria_presentation_view_get_type(void) {
	static GType type = 0;

	if(!type) {
		static const GTypeInfo info = {
			sizeof(CriaPresentationViewIface),
			NULL,   /* base_init */
			NULL,   /* base_finalize */
			(GClassInitFunc)cria_presentation_view_class_init,   /* class_init */
		};
		type = g_type_register_static(G_TYPE_INTERFACE,
					      "CriaPresentationView",
					      &info,
					      0);
	}

	return type;
}

void
_cria_presentation_view_install_properties(GObjectClass *klass) {
        g_object_class_override_property(klass, CRIA_PRESENTATION_VIEW_PROP_PRESENTATION, "presentation");
}

void
cria_presentation_view_set_presentation(CriaPresentationView *self, CriaPresentation* presentation) {
	/* do something */
}

